Subject: Re: PCI to Parallel for PowerPC

From: Clemens Koller <[email-masked]>
Date: Sun, 25 Nov 2007 18:00:11 +0100

Bai Shuwei schrieb:

Please don't cross-post.

> hi, all
>     I bought a SMC1500 stepper motor card. And it can connect with host 
> through parallel port. My target board is PowerPC 440, which hasn't 
> parrallel port. So I bought a PCI to Parallel line for SMC1500. But when 
> I run the stepper motor, I find it's not stable. I  doubt there are 
> somthing wrong with my PCI to Parallel line. So I beg somebody can tell 
> me where I can bought the  appropriate conversion line from PCI to 
> parallel, and does somebody give me some idea about how to control my 
> stepper motor through PowerPC 440? thx all

Put that PCI Card to your host where your stepper was working
properly to see if it's a hardware issue with that card.

Then it depends on how you control your stepper motor. If you use
some bit-banging (which I wouldn't recommend) to drive each winding
and want to have smooth movement, you need a very precise timing
when it comes to some "more than low-speed" stepper motors,
otherwise your motors will start to coggle.
To be precise: you will first have to figure out what leads to
the effect of "it's not stable". Do you have an Oscilloscope?

Regards,
-- 
Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm-technology.com
Phone: +49-89-741518-50
Fax: +49-89-741518-19